summaryrefslogtreecommitdiffstats
path: root/build-initramfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-initramfs.sh')
-rwxr-xr-xbuild-initramfs.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/build-initramfs.sh b/build-initramfs.sh
index b93651c6..7dc576c9 100755
--- a/build-initramfs.sh
+++ b/build-initramfs.sh
@@ -57,7 +57,6 @@ declare -A module_dnbd3=(
[path]="${_repo_dir}/modules.d/dnbd3-rootfs/binaries/dnbd3"
[url]="git://git.openslx.org/dnbd3.git"
[branch]="master"
- [commit]="c881c79"
)
declare -A module_qemu_xmount=(
@@ -361,8 +360,8 @@ initialize_dracut() {
# NOTE: make the dracut-install binary (dracut-install resolves
# dependencies etc.)
echo 'Compiling dracut.'
- ./configure
- make install/dracut-install
+ ./configure || exit 1
+ make install/dracut-install || exit 1
# NOTE: We have to copy the binary to current instead of symlinking
# them since this feature isn't supported in shared virtual box machine
# folders.